Subject: Re: [RFC] generic MIPS RTC driver

From: Jun Sun <[email-masked]>
Date: Tue, 13 Nov 2001 09:58:45 -0800

Richard Zidlicky wrote:

> Btw the interrupt need not to be hardware, for the Q40 I test
> a rtc register once per jiffie and generate a "soft interrupt".
> It could be done generic at least for m68k.
>

I have written an experiemntal ptimer driver to do just this and potential
more.  Such a device is useful for real-time programming (e.g., when you try
to implement a periodic user task).

See http://linux.junsun.net/realtime-linux/preemption-test

The driver is architecture independent (i.e., linux-common code)

Due to the different programming needs behind periodic timers (or user-level
timer) and RTC operations, my vote for future work is to leave them as two
separate drivers.  To me, RTC is really just to read/write RTC clock.

Jun

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/